---
title: 'Window: vrdisplaypointerrestricted event'
slug: Web/API/Window/vrdisplaypointerrestricted_event
tags:
  - Reference
  - Web VR
  - Window
  - events
  - vrdisplaypointerrestricted
---
<div>{{APIRef("Window")}}</div>

<div>
<p>The <strong><code>vrdisplaypointerrestricted</code></strong> event of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> is fired when the VR display's pointer input is restricted to consumption via a <a href="/en-US/docs/Web/API/Pointer_Lock_API">pointerlocked element</a>.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("VRDisplayEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/Window/onvrdisplaypointerrestricted">onvrdisplaypointerrestricted</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>vrdisplaypointerrestricted</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js">window.addEventListener('vrdisplaypointerrestricted', function() {
  // Run code to handle pointer lock
});</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/Window/onvrdisplaypointerrestricted">onvrdisplaypointerrestricted</a></code> event handler property:</p>

<pre class="brush: js">window.onvrdisplaypointerrestricted = function() {
  // Run code to handle pointer lock
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-window-onvrdisplaypointerrestricted', 'vrdisplaypointerrestricted')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.vrdisplaypointerrestricted_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
